Bug 101559 - Building from kernel src.rpm segfaults at debug
Summary: Building from kernel src.rpm segfaults at debug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: elfutils   
(Show other bugs)
Version: beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-03 18:51 UTC by Zenon Panoussis
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 13:44:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zenon Panoussis 2003-08-03 18:51:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
On an older Duron 600 with a completely virgin severn installation:

# rpm -hiv kernel-2.4.21-20.1.2024.2.1.nptl.src.rpm
# rpmbuild -bb --target athlon /usr/src/redhat/SPECS/kernel.spec 

This builds correctly until the end, and then runs haywire with messages like 

/usr/lib/rpm/find-debuginfo.sh: line 25: 22221 Segmentation fault
/usr/lib/rpm/debugedit -b $RPM_BUILD_DIR -d /usr/src/[every single module] "is
not a shared library"

I ^C'ed after a while, so I don't know what rpm would do if I had let it run. 

How reproducible:
Didn't try

Comment 1 Zenon Panoussis 2003-08-03 19:09:17 UTC
Perhaps I cut a bit too much from the error messages; here is one in its entirety:

/usr/lib/rpm/find-debuginfo.sh: line 25: 22221 Segmentation fault
/usr/lib/rpm/debugedit -b $RPM_BUILD_DIR -d /usr/src/debug -l $SOURCEFILE $f
extracting debug info from
/var/tmp/kernel-2.4.21-20.1.2024.2.1.nptl-root/lib/modules/2.4.21-20.1.2024.2.1.nptlsmp/unsupported/drivers/scsi/sym53c416.o
/usr/lib/debugedit:
"/var/tmp/kernel-2.4.21-20.1.2024.2.1.nptl-root/lib/modules/2.4.21-20.1.2024.2.1.nptlsmp/unsupported/drivers/scsi/sym53c416.o"
is not a shared library
is
not a shared library"

For the rest, I'm not at all sure whether this should be filed against the
kernel or against rpm. 




Comment 2 Jeff Johnson 2003-08-19 13:44:45 UTC
I believe this is fixed in very latest rpm+elfutils from Raw Hide.

Reopen if not.


Note You need to log in before you can comment on or make changes to this bug.